# Shows ANTLR generated tree
DEBUG_ShowTree = 0

# Shows I18NStrings reconstructed by Analyzer
DEBUG_PrintStrings = 1

# Warning message if a malformed markup is found (because we're unable
# to distinct a malformed markup from a normal comment countaining "INT")
DEBUG_ShowMarkupWarnings = 1

# Pattern indicating already externalized strings
already18NString = BOO_RESSOURCE_BUNDLE.getString

#################################################################
# Attention: prendre garde aux espaces non desires... Tout espace
# entre le nom de la fonction et la virgule sera pris en compte
#################################################################

#endroit du code qu'il ne faut pas I18Niser (comme le num�ro de version dans Bamboo
# qui change a chaque fois et qu'il est donc impossible de MAJ par update de AaA)
do_not_translate_there = Superviser.java,68,\
							nomDeFichier.java,0


# Liste des fonctions dont les arguments chaine ne seront pas traduits
forbiddenFunctionCall = System.out.println,\
						System.err.println,\
						getLong,\
						getInt,\
						getShort,\
						getString,\
						getDate,\
						WriteMessageInLogFile,\
						Font, java.awt.Font,\
						setString,\
						setName,\
						setActionCommand,\
						FileReader,FileWriter,\
						FileInputStream,\
						Superviser.getProperty,\
						.exec,\
						newFile,\
						ImageIcon,\
						getImage,\
						messageLog

# Liste des mots impliquant que la chaine est une requete SQL
# et ne sera donc pas traduite
SQLKeywords = SELECT,\
				FROM,\
				WHERE ,\
				UPDATE ,\
				DELETE ,\
				UPDATE ,\
				HAVING ,\
				AND ,\
				ORDER BY ,\
				VALUES ,\
				VALUES(,\
				INSERT INTO,\
				IS NULL,\
				IS NOT NULL,\
				SET ,\
				OR ,\
				\ IN 

# Autres mots dont la pr�sence force la non-externatonalisation d'une chaine
OtherKeywords = Throwable,\
				caught,\
				SQL error,\
				.gif,\
				.png,\
				.rtf,\
				==>\
